Skip to main content
PATCH
/
api
/
v2
/
equipment
/
{id}
Atualiza os dados de um equipamento
curl --request PATCH \
  --url https://app.tarefy.com/nodeapi/api/v2/equipment/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "patrimony_code": "<string>",
  "responsible_user_id": 123,
  "status": "<string>",
  "category_id": 123,
  "acquisition_date": "2023-12-25",
  "withdrawal_date": "2023-12-25",
  "value": 123,
  "location": "<string>",
  "custom_fields_values": {}
}
'

Documentation Index

Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
integer
required

Body

application/json
name
string
description
string
patrimony_code
string
responsible_user_id
integer
status
string
category_id
integer
acquisition_date
string<date>
withdrawal_date
string<date>
value
number
location
string
custom_fields_values
object

Response

200

Equipamento atualizado com sucesso